All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.util.validators
Class RequiredStringValidator

    com.sas.servlet.tbeans.util.validators.RequiredStringValidator

All Implemented Interfaces:
  JavaScriptValidationInterface, com.sas.servlet.tbeans.util.validators.JavaScriptValidationObjectCreationInterface, com.sas.servlet.tbeans.util.validators.JavaScriptValidationOnChangeInterface, ValidationInterface, java.io.Serializable

    public class RequiredStringValidator

The RequiredStringValidator is a TransformationBean™ that generates the appropriate HTML 4.0 and JavaScript for creating a required string validator. A RequiredStringValidator is a validator that validates if a String value is present.

For More Information:

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.util.validators.Validator
`message, messages, msgObject`

Constructor Summary
`RequiredStringValidator()` Constructs a new RequiredStringValidator Transformation Bean.

Method Summary
`protected java.lang.String` | `getDefaultValidationMessage(TransformationInterface bean)`

Methods inherited from class com.sas.servlet.tbeans.util.validators.JavaScriptValidator
`createValidationFunctionCall, getClearErrorsFunctionName, getDescription, getErrorHandlerFunctionName, getValidationFunctionName, getValidationParameters, setClearErrorsFunctionName, setErrorHandlerFunctionName, setValidationFunctionName`

Methods inherited from class com.sas.util.validators.Validator
`createValidationMessages, getExtendedBeanInfo, getValidationMessage, getValidationMessageCode, newValidationMessage, normalizeValue, setValidationMessage, setValidationMessageCode, validateValue`

Methods inherited from interface com.sas.util.validators.ValidationInterface
`getValidationMessage, getValidationMessageCode, normalizeValue, setValidationMessage, validateValue`

Constructor Detail

### RequiredStringValidator

    public RequiredStringValidator()

  Constructs a new RequiredStringValidator Transformation Bean.

Method Detail

### getDefaultValidationMessage

    protected java.lang.String getDefaultValidationMessage(TransformationInterface bean)

  Overrides:
    `getDefaultValidationMessage` in class `JavaScriptValidator`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.